//----------------------------------------------------------------------------------------------------
//         ATMEL Microcontroller Software Support  -  ROUSSET  -
//----------------------------------------------------------------------------------------------------
// The software is delivered "AS IS" without warranty or condition of any
// kind, either express, implied or statutory. This includes without
// limitation any warranty or condition with respect to merchantability or
// fitness for any particular purpose, or against the infringements of
// intellectual property rights of others.
//----------------------------------------------------------------------------------------------------
// File Name: 	Board.h
// Object: 		AT91SAM7S Evaluation Board Features Definition File.
//
// Creation:	JPP   16/June/2004
//----------------------------------------------------------------------------------------------------   
#ifndef Board_h
#define Board_h

#include "at91sam7x256.h"
#define __inline inline

#define true	1
#define false	0

//----------------------------------------------- 
// SAM7Board Memories Definition   
//-----------------------------------------------  
// The AT91SAM7S2564 embeds a 64-Kbyte SRAM bank, and 256 K-Byte Flash

#define  INT_SRAM			0x00200000
#define  INT_SRAM_REMAP		0x00000000

#define  INT_FLASH			0x00000000
#define  INT_FLASH_REMAP	0x01000000

#define  FLASH_PAGE_NB		1024
#define  FLASH_PAGE_SIZE	256

//--------------  
// Master Clock   
//--------------  
#define EXT_OC		18432000						// Exetrnal ocilator MAINCK
#define MCK			47923200						// MCK (PLLRC div by 2)
#define MCKKHz		(MCK/1000)     					//

// ---------------------- PORTS --------------------------

// *******************************************************
//                     Taster/Buttons
// *******************************************************

#define SW1			24		//PB24 - pin 70
#define SW1_MASK	(1<<24)
#define SW2			25		//PB25 - pin 71
#define SW2_MASK	(1<<25)

// *******************************************************
//                        Joystick
// *******************************************************

#define B1			7		//PA7 - pin 91
#define B1_MASK		(1<<B1)
#define B2			8		//PA8 - pin 13
#define B2_MASK		(1<<B2)
#define B3			9		//PA9 - pin 14
#define B3_MASK		(1<<B3)
#define B4			14		//PA14 - pin 22
#define B4_MASK		(1<<B4)
#define B5			15		//PA15 - pin 23
#define B5_MASK		(1<<B5)

// *******************************************************
//                          Audio
// *******************************************************

//#define MIC_IN --- check AD unit
//#define AUDIO_OUT --- not needed yet

#endif   // Board_h     
