// * ***************************************
// * functions.c
// * ****************************************
// * Libary fr ntzliche Projekt Funktionen
// * ****************************************

#ifndef _functions_h
#define _functions_h

/**
* function ItoA
*
* This function generates a null-terminated character string from the integer z
*
* @param z Integer to be transformed in a character string 
* @param Buffer char* pointer to the String (call by refernce)
*
*/
void ItoA( int z, char* Buffer )
{
	int i = 0;
	int j;
	char tmp;

	// 0 braucht eine Sonderbehandlung
	if( z == 0 ) {
		Buffer[0] = '0';
		Buffer[1] = '\0';
	}
	else {

		// ist die Zahl negativ?
		// gleich mal ein - hinterlassen und die Zahl positiv machen
		if( z < 0 ) {
			Buffer[0] = '-';
			z = -z;
			Buffer++;
		}

		// die einzelnen Stellen der Zahl berechnen
		while( z > 0 ) {
			Buffer[i++] = '0' + z % 10;
			z /= 10;
		}

		// den String in sich spiegeln
		for( j = 0; j < i / 2; ++j ) {
			tmp = Buffer[j];
			Buffer[j] = Buffer[i-j-1];
			Buffer[i-j-1] = tmp;
		}

		Buffer[i] = '\0';
	}
}

#endif
